package Audio;

public class AudioRecorder {
    public void startRecording(String filename, int duration, PlaybackEvent event){
        System.out.println("Recording started");
        AudioFileProperties prop = new AudioFileProperties(1, filename);
        event.onPlaybackStart(prop);
        System.out.println("Recording finished");
        event.onPlaybackFinished(prop);
    }
    public void stopRecording(){
        System.out.println("Recording stopped");
    }
    public void pauseRecording(){
        System.out.println("Recording paused");
    }
    public void resumeRecording(){
        System.out.println("Recording resumed");
    }
    public void loopRecording(){
        System.out.println("Recording looped");
    }
}
